Page MenuHomePhabricator

Core tests depend on TimedMediaHandler
Closed, ResolvedPublic

Description

In core, we have class MockOggHandler extends OggHandlerTMH while OggHandlerTMH is from TimedMediaHandler. Core should not depend on extensions.

Event Timeline

MaxSem created this task.Jun 29 2017, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2017, 6:33 PM
Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.Jul 7 2017, 5:19 AM
TheDJ added a subscriber: TheDJ.Jul 7 2017, 11:42 AM

i'm pretty sure there is another ticket on this exact topic, but i cannot find it.

MarkTraceur triaged this task as Normal priority.Jul 10 2017, 3:07 PM
MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.

Change 364446 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/core@master] [WIP] Remove tests depending on extension

https://gerrit.wikimedia.org/r/364446

Change 364747 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/TimedMediaHandler@master] Temporarily disable TimedMediaHandler parser tests

https://gerrit.wikimedia.org/r/364747

Change 364751 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/TimedMediaHandler@master] Add MockOggHandler and reenable parser tests

https://gerrit.wikimedia.org/r/364751

matthiasmullie moved this task from Next up to Needs code review on the Multimedia board.

Change 364747 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Temporarily disable TimedMediaHandler parser tests

https://gerrit.wikimedia.org/r/364747

Change 364446 merged by jenkins-bot:
[mediawiki/core@master] Remove test code that depends on extension

https://gerrit.wikimedia.org/r/364446

Change 364751 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Add MockOggHandler and reenable TMH parser tests

https://gerrit.wikimedia.org/r/364751

brion closed this task as Resolved.Aug 13 2017, 4:55 PM
brion added a subscriber: brion.

We managed to merge these; MockOggHandler now lives in TMH. :D